@echo off
setlocal
 rem Funktion: starts PLMJobManagerWatchDog
 rem Erstellt..: 30.11.2013 J.Fes (c) J.Feuerstein 2007..2014
 rem ----------------------------------------------------------------------------
 set MyApplBase_TP=JobManagerV3
 Title "Start PLMJobManagerWatchDog"
 set CmdCurRoot_DP=%~dp0
 set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%
 if defined JobMgr_RootL_DP set PLMJobManagerWatchDogL_DP=%JobMgr_RootL_DP%\%MyApplBase_TP%\03-BinPublic
 if not defined PLMJobManagerWatchDogL_DP if exist "c:\temp" set PLMJobManagerWatchDogL_DP=c:\temp\%MyApplBase_TP%\03-BinPublic
 if not defined PLMJobManagerWatchDogL_DP if exist "c:\tmp" set PLMJobManagerWatchDogL_DP=c:\tmp\%MyApplBase_TP%\03-BinPublic
 if not defined PLMJobManagerWatchDogL_DP set PLMJobManagerWatchDogL_DP=%appdata%\%MyApplBase_TP%\03-BinPublic
 set PLMJobManagerWatchDogL_DPNE=%PLMJobManagerWatchDogL_DP%\PLMJobManagerWatchDog.exe
 set toRun=robocopy "%CmdCurRoot_DP%" "%PLMJobManagerWatchDogL_DP%" PLMJobManagerWatchDog.exe /r:3 /w:1
 Call %toRun%
 pushd "%PLMJobManagerWatchDogL_DP%"
 if exist "%PLMJobManagerWatchDogL_DPNE%" start "" /D%PLMJobManagerWatchDogL_DP% %PLMJobManagerWatchDogL_DPNE%
 popd
endlocal


